Subject: Re: [PATCH net-next v7] ptp: Add support for the AMZNC10C 'vmclock' device

From: Jakub Kicinski <[email-masked]>
Date: Mon, 28 Oct 2024 09:12:56 -0700

On Sat, 19 Oct 2024 18:49:24 +0100 David Woodhouse wrote:
> > Yes please and thank you! We gotta straighten it out before 
> > the merge window.  
> 
> Hm, as I (finally) come to do that, I realise that many of the others
> defined in drivers/ptp/Kconfig are also 'default y'. Which is only
> really 'default PTP_1588_CLOCK' in practice since they all depend on
> that.

AFAICT nothing defaulted to enabled since 2017, so I'd chalk it up
to us getting better at catching mistakes over time.

> Most importantly, PTP_1588_CLOCK_KVM is 'default y'. And that one is
> fundamentally broken (at least in the presence of live migration if
> guests care about their clock suddenly being wrong) which is why it's
> being superseded by the new VMCLOCK thing. We absolutely don't want to
> leave the _KVM one enabled by default and not its _VMCLOCK replacement.

You can default to .._CLOCK_KVM, and provide the explanation in
the commit message and Kconfig help.
Or if you feel strongly even make CLOCK_KVM depend on the new one?

> Please advise... I suspect the best answer is to leave it as it is? 

I'd really rather not. Linus has complained to us about Kconfig symbols
appearing / getting enabled by default multiple times in the past.

Sorry for the delay, vacation time.